LinuxQuestions.org
Share your knowledge at the LQ Wiki.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 02-22-2004, 04:36 PM   #1
caffeinebot
Member
 
Registered: Feb 2004
Location: Lexington, MA
Distribution: Gen2
Posts: 39

Rep: Reputation: 15
2.6.2 kernel, with ati drivers.


Hey guys, I'm having trouble calling ./make_install on the ati drivers after calling ./make.sh (which runs fine with out errors). The error that results with ./makeinstall outputs this:

fglrx: version magic '2.6.2 preempt 586 gcc-3.3' should be '2.6.2
preempt k7 gcc-3.3'
FATAL: Error inserting fglrx (/lib/modules/2.6.2/extra/fglrx.ko):
Invalid module format
failed.

If anyone has any idea as to why this is happening please let me know
thanks!
 
Old 02-22-2004, 04:42 PM   #2
TheOneAndOnlySM
Member
 
Registered: Jul 2003
Location: Dallas, TX
Distribution: Ubuntu 10.04 LTS
Posts: 987

Rep: Reputation: 30
i am not sure if this will help, but if you are just trying to execute commands in a Makefile, then you don't need to type the ./ for make or make install; just type make, make install, etc.

oh, this may help: make sure you are using the same version gcc you used to compile your kernel
 
Old 02-22-2004, 05:20 PM   #3
caffeinebot
Member
 
Registered: Feb 2004
Location: Lexington, MA
Distribution: Gen2
Posts: 39

Original Poster
Rep: Reputation: 15
thanks for the quck responce but, those are the two commands ihave to call to compile the ati drivers into the kernel.
as far as using the same gcc version, I'm pretty sure i am using the same version, as I have been able to compile the drivers for kernel 2.4.25 sucessfuly using this same setup.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
ATI drivers and kernel 2.6.11 and later Metallic Linux - Hardware 8 03-31-2005 05:56 PM
ati drivers with kernel 2.6? shanenin Linux - Software 15 07-01-2004 08:46 PM
ATI Drivers with Kernel 2.6 redneon Linux - Hardware 3 02-29-2004 01:53 PM
ATi drivers and kernel 2.6.2 objorkum Linux - Hardware 0 02-08-2004 05:41 AM
New ATI drivers + Kernel 2.6: is it possible? moly82 Linux - Software 24 10-01-2003 04:34 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Software

All times are GMT -5. The time now is 02:57 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration